## debmake-doc 1.1

=== Makefile ===
# Build all Debian packaging examples and produce documentation
# Copyright (C) 2015 Osamu Aoki

# run "make prep" before commit

all: build

include Makefile.common
include Makefile.pkg
include Makefile.dbk

build: pkg
	$(MAKE) -C $(ASCIIDOC_DIR) xml	# base XML documentation

install:
	-mkdir -p $(TMPDIR)
	-mkdir -p $(BASEDIR)/html
	$(MAKE) css html pdf epub txt # build docs from XML
#ifndef DEBUG
	-rm -rf $(TMPDIR) # remove all $(TMPDIR) contents
#endif

clean::
	-rm -rf $(TMPDIR)
	-$(MAKE) -C $(ASCIIDOC_DIR) clean

distclean:: clean

.PHONY: all build clean

=== debhello-3.0/Makefile ===
prefix = /usr/local

all: data/hello.desktop po/ja.mo

data/hello.desktop po/ja.mo:
	$(MAKE)  -C po all

install: all
	install -D scripts/hello $(DESTDIR)/$(prefix)/bin/hello
	install -m 644 -D data/hello.desktop \
		$(DESTDIR)$(prefix)/share/applications/hello.desktop
	install -m 644 -D data/hello.png \
		$(DESTDIR)$(prefix)/share/pixmaps/hello.png
	install -m 644 -D man/hello.1 \
		$(DESTDIR)$(prefix)/share/man/man1/hello.1
	install -m 644 -D po/ja.mo \
		$(DESTDIR)$(prefix)/share/locale/ja/LC_MESSAGES/debhello.mo

clean:
	$(MAKE)  -C po clean

distclean: clean

uninstall:
	-rm -f $(DESTDIR)$(prefix)/bin/hello
	-rm -f $(DESTDIR)$(prefix)/share/applications/hello.desktop
	-rm -f $(DESTDIR)$(prefix)/share/pixmaps/hello.png
	-rm -f $(DESTDIR)$(prefix)/share/man/man1/hello.1
	-rm -f $(DESTDIR)$(prefix)/share/locale/ja/LC_MESSAGES/debhello.mo

.PHONY: all install clean distclean uninstall

=== debian-template/Makefile ===
# Generic build script
DEBEMAIL:=email.address@example.org
DEBFULLNAME:="Firstname Lastname"
export DEBEMAIL DEBFULLNAME
ROOTDIR:=$(CURDIR)
TESTDIR:=$(CURDIR)/test
COMMONDIR:=$(abspath $(CURDIR)/..)
PATH := $(COMMONDIR)/bin:$(PATH)
PROJECT:=$(shell echo $(notdir $(CURDIR))|sed -e 's/-pkg[0-9]*$$//' )
PROJECTDIR:=$(TESTDIR)/$(PROJECT)
TERM:=xterm
TREE_COLORS:=
LS_COLORS:=
CDPATH:=
FILTER :=s/\(^.............................................................................\).*$$/\1.../
TGZ:=tar.gz
export ROOTDIR TESTDIR COMMONDIR PATH PROJECT PROJECTDIR TREE_COLORS LS_COLORS TERM CDPATH TGZ

stepcmds := $(sort $(wildcard *.cmd))
steps := $(patsubst %.cmd, %, $(stepcmds))

all:
	mkdir -p $(TESTDIR)
	echo $(ROOTDIR) > $(ROOTDIR)/next.dir
	echo $(PROJECT) > $(ROOTDIR)/project
	for i in $(steps) ; do \
	cd $$(cat $(ROOTDIR)/next.dir) >/dev/null ; \
	script -e -q -c $(ROOTDIR)/$$i.cmd $(ROOTDIR)/$$i.log ; \
	ERR=$$? ; \
	cat $(ROOTDIR)/$$i.log | col -b -x | \
	sed -e 's#$(TESTDIR)#/path/to#g' | \
	sed -e '$(FILTER)' > $(ROOTDIR)/$$i.slog ; \
	if [ x$$ERR != x0 ]; then exit 1 ; fi ; \
	done

clean:
	-rm -rf $(TESTDIR)
	-rm -rf debmake
	-rm -rf package
	-rm -f .stamp
	-rm -f *.log
	-rm -rf next.dir project

distclean: clean
	-rm -f *.slog
	-rm -f *.patch

step%.raw: step%.cmd
	./$^ >$@


check:
	@echo "TESTDIR=$(TESTDIR)"
	@echo "PROJECT=$(PROJECT)"

.PHONY: all clean distclean check

=== debhello-3.4/man/CMakeLists.txt ===
install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/hello.1
  DESTINATION share/man/man1
)

## debmake-doc 1.0

=== debian/changelog ===
debmake-doc (1.0-1ubuntu2) wily; urgency=medium

  * Revert setting NO_PKG_MANGLE in debian/rules; it does not work as debuild
    resets the environment. This has been fixed in a more general way in
    pkgbinarymangler 122.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Sep 2015 09:31:11 +0200

debmake-doc (1.0-1ubuntu1) wily; urgency=medium

  * Disable pkgbinarymangler for the debs built in the test suite. Fixes
    FTBFS.
  * Add missing gir1.2-gtk-3.0 and python3-gi build dependencies for the test
    suite.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 17 Sep 2015 09:40:34 +0200

debmake-doc (1.0-1) unstable; urgency=low

  * Initial release. Closes: #786702:

 -- Osamu Aoki <osamu@debian.org>  Mon, 25 May 2015 00:21:14 +0900

=== debian/control ===
Source: debmake-doc
Section: doc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: asciidoc (>=8),
               autoconf,
               automake,
               autopoint,
               cmake,
               dblatex,
               debhelper (>=9),
               debmake (>=4),
               devscripts,
               dh-autoreconf,
               dh-python,
               docbook-xml,
               docbook-xsl,
               expect,
               fonts-liberation,
               gettext,
               itstool,
               libltdl-dev,
               libtool,
               libxml2-utils,
               lmodern,
               python3-all,
               python3-debian,
               python3-distutils-extra,
               python3-gi,
               gir1.2-gtk-3.0,
               quilt,
               texlive,
               texlive-lang-english,
               texlive-lang-french,
               texlive-xetex,
               tree,
               w3m,
               xsltproc,
               zip
Standards-Version: 3.9.6
Homepage: http://anonscm.debian.org/cgit/collab-maint/debmake-doc.git
Vcs-Git: git://anonscm.debian.org/collab-maint/debmake-doc.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/debmake-doc.git

Package: debmake-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: debmake
Suggests: debian-policy, developers-reference
Description: Guide for Debian Maintainers
 This tutorial document describes the building of the Debian
 package to ordinary Debian users and prospective developers using
 the debmake command.
 .
 It is focused on the modern packaging style and comes with many
 simple examples.
  * POSIX shell script packaging
  * Python3 script packaging
  * C with Makefile/Autotools/CMake
  * multiple binary package with shared library etc.
 .
 This package can be considered as the successor to the
 maint-guide package.

## debmake-doc 1.1

=== debian/changelog ===
debmake-doc (1.1-1) unstable; urgency=medium

  * Fix typos. (Including root cause of #793654)
  * Add B-D: python3-gi, gir1.2-gtk-3.0 Closes: #802395
  * Mention DDEB activity for -deb.

 -- Osamu Aoki <osamu@debian.org>  Wed, 28 Oct 2015 23:14:41 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debmake-doc
 Section: doc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Osamu Aoki <osamu@debian.org>
+Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: asciidoc (>=8),
                autoconf,
                automake,
@@ -19,6 +18,7 @@
                expect,
                fonts-liberation,
                gettext,
+               gir1.2-gtk-3.0,
                itstool,
                libltdl-dev,
                libtool,
@@ -28,7 +28,6 @@
                python3-debian,
                python3-distutils-extra,
                python3-gi,
-               gir1.2-gtk-3.0,
                quilt,
                texlive,
                texlive-lang-english,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

# no translation at this moment
export LANGPO :=
# UTF-8 locale
export LC_ALL:= C.UTF-8

# single binary: debmake-doc
BASEDIR := $(CURDIR)/debian/debmake-doc/usr/share/doc/debmake-doc
export BASEDIR

%:
	dh $@

override_dh_compress:
	dh_compress -X.pdf

=== debian/watch ===
# This is a dummy watch file.
# debmake is quasi-native package and has no external upstream source.
# It is *quasi* just because its package version uses the non-native format.

## debmake-doc 1.2

=== debian/changelog ===
debmake-doc (1.2-1) unstable; urgency=medium

  * Mention -dbgsym packages.
  * Fix: Use = instead for dependency.  Closes: #795563

 -- Osamu Aoki <osamu@debian.org>  Sun, 20 Mar 2016 23:10:11 +0900

## debmake-doc 1.7

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,9 @@
 include Makefile.dbk
 
 build: pkg
+	$(MAKE) -C $(ASCIIDOC_DIR) xml	# base XML documentation
+
+update:
 	$(MAKE) -C $(ASCIIDOC_DIR) xml	# base XML documentation
 
 install:
@@ -26,4 +29,8 @@
 
 distclean:: clean
 
+# Use this target on devel branch source
+package:
+	debmake -t -y -zx -b':doc' -i pdebuild
+
 .PHONY: all build clean

=== debian/changelog ===
debmake-doc (1.7-2) unstable; urgency=medium

  * Fix Vcs-Git data. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 11 Dec 2016 10:32:29 +0900

debmake-doc (1.7-1) unstable; urgency=medium

  * Add "Native Debian source package without extraneous files"
  * Refine text and fix typos.
  * Fix FTBFS due to missing lintian dependency.  Closes: #846734
  * Update example scripts not to cause lintian errors.
  * Add --local option to work with new debuild interaction with
    lintian.

 -- Osamu Aoki <osamu@debian.org>  Fri, 25 Nov 2016 23:32:40 +0900

debmake-doc (1.6-1) unstable; urgency=medium

  * Add "Rebuilding package without extraneous diffs".
  * Move python module description.
  * Refine text and fix typos.

 -- Osamu Aoki <osamu@debian.org>  Wed, 23 Nov 2016 22:17:16 +0900

debmake-doc (1.5-1) unstable; urgency=medium

  * Reorganize "Simple Example" section.
  * Reinforce package customization and VCS related contents.
  * Move some sections.
  * Add some hints for debugging.

 -- Osamu Aoki <osamu@debian.org>  Fri, 18 Nov 2016 23:38:26 +0900

debmake-doc (1.4-1) unstable; urgency=medium

  * Work around "script -q" bug.
  * Reorganize debian/control section.
  * Use gbp.
  * Update debian/control stanzas.
  * Add pointer to debug tools.  Closes: #771333

 -- Osamu Aoki <osamu@debian.org>  Tue, 18 Oct 2016 23:23:19 +0900

debmake-doc (1.3-1) unstable; urgency=medium

  * Add typical multiarch package split scenario examples.
    Closes: #840158
  * Add bash-completion.
  * Stress use of licensecheck.

 -- Osamu Aoki <osamu@debian.org>  Mon, 17 Oct 2016 20:09:16 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                cmake,
                dblatex,
                debhelper (>=9),
-               debmake (>=4),
+               debmake (>=4.2.8),
                devscripts,
                dh-autoreconf,
                dh-python,
@@ -23,6 +23,7 @@
                libltdl-dev,
                libtool,
                libxml2-utils,
+               lintian,
                lmodern,
                python3-all,
                python3-debian,
@@ -34,13 +35,14 @@
                texlive-lang-french,
                texlive-xetex,
                tree,
+               vim,
                w3m,
                xsltproc,
                zip
-Standards-Version: 3.9.6
-Homepage: http://anonscm.debian.org/cgit/collab-maint/debmake-doc.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/debmake-doc.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/debmake-doc.git
+Standards-Version: 3.9.8
+Homepage: https://anonscm.debian.org/cgit/collab-maint/debmake-doc.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/debmake-doc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debmake-doc.git
 
 Package: debmake-doc
 Architecture: all

## debmake-doc 1.9

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,12 @@
 # Copyright (C) 2015 Osamu Aoki
 
 # run "make prep" before commit
+
+#ifndef DEBUG
+PKG =
+#else
+PKG = pkg
+#endif
 
 all: build
 
@@ -9,16 +15,23 @@
 include Makefile.pkg
 include Makefile.dbk
 
-build: pkg
-	$(MAKE) -C $(ASCIIDOC_DIR) xml	# base XML documentation
 
-update:
-	$(MAKE) -C $(ASCIIDOC_DIR) xml	# base XML documentation
+# Normal doc content as xml and prepare install directory
+$(BASEXML):
+	$(MAKE) -C $(ASCIIDOC_DIR) xml	# base XML doc
 
-install:
+build: $(PKG) $(BASEXML) $(wildcard $(ASCIIDOC_DIR)/*.txt)
+	echo "DEBUG='$(DEBUG)'"
+	echo "LANGPO='$(LANGPO)'"
+	echo "LANGALL='$(LANGALL)'"
+	echo "NOPDF='$(NOPDF)'"
+	echo "BASEDIR='$(BASEDIR)'"
+	echo "TMPDIR='$(TMPDIR)'"
+	$(MAKE) xml	                # XML docs for all PO
 	-mkdir -p $(TMPDIR)
 	-mkdir -p $(BASEDIR)/html
-	$(MAKE) css html pdf epub txt # build docs from XML
+
+install: css html pdf epub txt # build docs from XML
 #ifndef DEBUG
 	-rm -rf $(TMPDIR) # remove all $(TMPDIR) contents
 #endif

=== asciidoc/Makefile ===
# Build 1-page html, manpage, and xml source
# Copyright (C) 2015 Osamu Aoki

# manually copy 1-page html to the people.debian.org
# manually copy manpage to the debmake command
# xml is used to build this package
# This Makefile can function by itself.

# version of the debmake command used
DEBMAKEVERSION ?= $(shell { debmake -v 2>&1 | sed -ne '/^debmake/s/^.*(version: \([0-9.]*\)).*$$/\1/p' ; })
# version of this Debian package (debian/changelog)
DEBVERSION ?= $(shell { cd .. >/dev/null ;dpkg-parsechangelog -SVersion || echo "vcs-0.0" ; })
# short date of this Debian package (debian/changelog)
DEBDATE ?= $(shell { cd .. >/dev/null && date +'%Y-%m-%d' -d"`dpkg-parsechangelog -SDate`" || date +'(No changelog) %Y-%m-%d' ; })

MANUAL := debmake-doc
GENTXT := 99-manpage.txt binary.txt caveat.txt
ALLTXT := $(wildcard *.txt) $(GENTXT)

all: man html

test: test.html

xml: $(MANUAL).xml

html: $(MANUAL).html

man: debmake.1

check:
	@echo "DEBMAKEVERSION = $(DEBMAKEVERSION)"
	@echo "DEBVERSION     = $(DEBVERSION)"
	@echo "DEBDATE        = $(DEBDATE)"
	@echo "ALLTXT         = $(ALLTXT)"

99-manpage.txt: manpage.txt
	sed -e 's/^= DEBMAKE(1)$$/= *debmake*(1) manpage/' -e 's/^=/==/' manpage.txt >99-manpage.txt

binary.txt: manpage.txt
	sed -n -e '/^\*-b\*/,$$p' manpage.txt | sed -e '/^\*-e\*/,$$d'>binary.txt

caveat.txt: manpage.txt
	sed -e '1,/^== CAVEAT/d' manpage.txt | sed -e '/^== DEBUG/,$$d'>caveat.txt

$(MANUAL).xml: $(ALLTXT)
	@$(call check-command, asciidoc, asciidoc)
	asciidoc --doctype book\
		-b docbook \
		-a 'newline=\n' \
		-a debmakeversion="$(DEBMAKEVERSION)" \
		-a revision="$(DEBVERSION)" \
		-a date="$(DEBDATE)" \
		$(MANUAL).txt

%.html: $(ALLTXT)
	cp -f $(MANUAL).txt $(MANUAL).keep
	sed -i -e 's/^\/\/####//' $(MANUAL).txt
	asciidoc \
		-a toc2 \
		-a 'newline=\n' \
		-a debmakeversion="$(DEBMAKEVERSION)" \
		-a revision="$(DEBVERSION)" \
		-a date="$(DEBDATE)" \
		$*.txt
	cp -f $(MANUAL).keep $(MANUAL).txt

debmake.1: manpage.txt
	a2x --doctype manpage --format manpage \
		-a debmakeversion="$(DEBMAKEVERSION)" \
		manpage.txt

$(MANUAL).pdf: $(ALLTXT)
	@$(call check-command, asciidoc, asciidoc)
	a2x -v --doctype book --format pdf --dblatex-opts="-b xetex"\
		-a 'newline=\n' \
		-a debmakeversion="$(DEBMAKEVERSION)" \
		-a revision="$(DEBVERSION)" \
		-a date="$(DEBDATE)" \
		$(MANUAL).txt
clean:
	-rm -f $(GENTXT)
	-rm -f *.xml
	-rm -f *.html
	-rm -f debmake.1
	-rm -f *~

distclean: clean

remote: $(MANUAL).html
	scp $(MANUAL).html people.debian.org:~osamu/public_html/$(MANUAL).html

.PHONY: all xml html man clean distclean check test remote

=== debhello-1.4/Makefile ===
prefix = /usr/local

all: src/hello

src/hello: src/hello.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $^ -lm

install: src/hello
	install -D src/hello \
		$(DESTDIR)$(prefix)/bin/hello
	install -m 644 -D data/hello.desktop \
		$(DESTDIR)$(prefix)/share/applications/hello.desktop
	install -m 644 -D data/hello.png \
		$(DESTDIR)$(prefix)/share/pixmaps/hello.png
	install -m 644 -D man/hello.1 \
		$(DESTDIR)$(prefix)/share/man/man1/hello.1

clean:
	-rm -f src/hello

distclean: clean

uninstall:
	-rm -f $(DESTDIR)$(prefix)/bin/hello
	-rm -f $(DESTDIR)$(prefix)/share/applications/hello.desktop
	-rm -f $(DESTDIR)$(prefix)/share/pixmaps/hello.png
	-rm -f $(DESTDIR)$(prefix)/share/man/man1/hello.1

.PHONY: all install clean distclean uninstall

=== debian-template/Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 TREE_COLORS:=
 LS_COLORS:=
 CDPATH:=
+NOANSI:=s/\x1B\[([0-9]{1,2}(;[0-9]{1,2})?)?[m|K]//g
 FILTER :=s/\(^.............................................................................\).*$$/\1.../
 TGZ:=tar.gz
 export ROOTDIR TESTDIR COMMONDIR PATH PROJECT PROJECTDIR TREE_COLORS LS_COLORS TERM CDPATH TGZ
@@ -28,6 +29,8 @@
 	script -e -q -c $(ROOTDIR)/$$i.cmd $(ROOTDIR)/$$i.log ; \
 	ERR=$$? ; \
 	cat $(ROOTDIR)/$$i.log | col -b -x | \
+	grep -v -e '^Script started on' | \
+	sed -r '$(NOANSI)' | \
 	sed -e 's#$(TESTDIR)#/path/to#g' | \
 	sed -e '$(FILTER)' > $(ROOTDIR)/$$i.slog ; \
 	if [ x$$ERR != x0 ]; then exit 1 ; fi ; \

=== debhello-3.4/data/CMakeLists.txt ===
# Generate hello.desktop from hello.desktop.in
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/hello.desktop.in"
  "${CMAKE_CURRENT_BINARY_DIR}/hello.desktop"
)

=== debian/changelog ===
debmake-doc (1.9-1) unstable; urgency=medium

  * Drop cover image. 
  * Update advice to novice.
  * Update and add workflow with debhelper.
  * Add reminder for non-debmake workflow.
  * Mention ssh as TIP.
  * Enable CJ PDF build.  (Needs more translation.) 

 -- Osamu Aoki <osamu@debian.org>  Sun, 17 Sep 2017 08:04:25 +0900

debmake-doc (1.8-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * Add initial Simplified Chinese translation.
  * Fix a few typos in asciidoc documents.
  * Workaround quotation mark problem for PDF documents.
  * Use HTTPS in d/copyright.
  * Drop version restriction for asciidoc in d/control.
  * Point dummy d/watch file to anonscm.debian.org website.
  * Update XeTeX font selection descriptions.
  * Refresh translation PO files.
  * Various text fixes.

  [ Osamu Aoki ]
  * Deprecate d/menu files.
  * Update build system.
  * Use https URLs and fix xref.  Closes: #861417
  * Fix typo and update customization contents.  Closes: #873441

 -- Osamu Aoki <osamu@debian.org>  Sun, 17 Sep 2017 01:07:17 +0900

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: extra
 Maintainer: Osamu Aoki <osamu@debian.org>
-Build-Depends: asciidoc (>=8),
+Build-Depends: asciidoc,
                autoconf,
                automake,
                autopoint,
@@ -16,10 +16,16 @@
                docbook-xml,
                docbook-xsl,
                expect,
+               faketime,
+               fonts-arphic-bsmi00lp,
+               fonts-arphic-gbsn00lp,
+               fonts-ipafont,
                fonts-liberation,
+               fonts-wqy-zenhei,
                gettext,
                gir1.2-gtk-3.0,
                itstool,
+               latex-cjk-all,
                libltdl-dev,
                libtool,
                libxml2-utils,
@@ -31,8 +37,10 @@
                python3-gi,
                quilt,
                texlive,
+               texlive-lang-chinese,
                texlive-lang-english,
                texlive-lang-french,
+               texlive-lang-japanese,
                texlive-xetex,
                tree,
                vim,

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,14 @@
 #!/usr/bin/make -f
 export DH_VERBOSE = 1
 
-# no translation at this moment
-export LANGPO :=
+# quilt output is affected by locale; setting explicitly
+LC_ALL := C.UTF-8
+export LC_ALL
+
+# translation for package (Override Makefile.dbk)
+export LANGPO := zh-cn ja
+#export NOPDF := zh-cn
+
 # UTF-8 locale
 export LC_ALL:= C.UTF-8

=== debian/watch ===
version=4
# This is a dummy watch file.
# debmake is quasi-native package and has no external upstream source.
# It is *quasi* just because its package version uses the non-native format.
opts="mode=git" \
 https://anonscm.debian.org/git/collab-maint/debmake-doc.git \
 refs/tags/upstream/([\d\.]+) debian
# An alternative uscan approach is provided as well
#opts="" \
#http://anonscm.debian.org/cgit/collab-maint/debmake-doc.git/refs/tags \
#/cgit/collab-maint/debmake-doc\.git/tag/\?h=upstream/([\d\.]+) debian

## debmake-doc 1.11

=== Makefile ===
# Build all Debian packaging examples and produce documentation
# Copyright (C) 2015 Osamu Aoki

# Define if not defined (Prevent error when Make is run independently)
SOURCE_DATE_EPOCH ?= "1400000000"

# run "make prep" before commit

#ifndef DEBUG
PKG =
#else
PKG = pkg
#endif

all: build

include Makefile.common
include Makefile.pkg
include Makefile.dbk

build: $(PKG) $(wildcard $(ASCIIDOC_DIR)/*.txt)
	# process ASCIIDOC after $(pkg) targets even under the parallel build
	$(MAKE) base-xml
	echo "DEBUG='$(DEBUG)'"
	echo "LANGPO='$(LANGPO)'"
	echo "LANGALL='$(LANGALL)'"
	echo "NOPDF='$(NOPDF)'"
	echo "BASEDIR='$(BASEDIR)'"
	echo "TMPDIR='$(TMPDIR)'"
	$(MAKE) all-xml	                # XML docs for all PO
	-mkdir -p $(TMPDIR)
	-mkdir -p $(BASEDIR)/html
	# leave fuzzy status in the package build log
	-cat fuzzy.log

install: css html pdf epub txt # build docs from XML
#ifndef DEBUG
	-rm -rf $(TMPDIR) # remove all $(TMPDIR) contents
#endif

clean::
	-rm -rf $(TMPDIR)
	-$(MAKE) -C $(ASCIIDOC_DIR) clean

distclean:: clean

# Use this target on devel branch source
package:
	debmake -t -y -zx -b':doc' -i pdebuild

.PHONY: all build install clean distclean package

=== debian/changelog ===
debmake-doc (1.11-1) unstable; urgency=medium

  * Fix debian/control grammar error.  Closes: #903804
  * Update contents in line with the Buster environment such as
    *-debsym, *.build, and *.buildinfo. Closes: #905167
  * Improve README.source and manpage content.
  * Now updating po files leave previous msgid contents.

 -- Osamu Aoki <osamu@debian.org>  Thu, 09 Aug 2018 22:52:24 +0900

debmake-doc (1.10-1) unstable; urgency=medium

  [ Osamu Aoki ]
  * Update debian/changelog documentation.  Closes: #851456
  * Use --allow-downgrades for apt-get as in the BTS: #868279
  * Restore debian-openlogo.png as in the BTS: #871493
  * Add Russian build support.
  * Bump standards version to 4.1.5 and compat to 11.
  * Update VCS to new salsa service in compliance to the Debian
    Policy 5.6.26 (version 4.1.5).
  * Update URLs to the new salsa.debian.org.
  * Address build issues by making Makefile safe for parallel build.
    Closes: #891128
  * Merge English proofing done by Paul Hardy.  Closes: #903805, #904217
  * Update build system to be friendly to the translation.

  [ Boyuan Yang ]
  * Use Priority: optional instead of Priority: extra globally.
  * Use Standards-Version: 4.1.3 globally.
  * Do some proofreading and fix contents in debhelper section.
  * More update for Simplified Chinese translation.

 -- Osamu Aoki <osamu@debian.org>  Sun, 29 Jul 2018 14:22:22 +0900

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: debmake-doc
 Section: doc
-Priority: extra
+Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: asciidoc,
                autoconf,
@@ -8,10 +8,9 @@
                autopoint,
                cmake,
                dblatex,
-               debhelper (>=9),
-               debmake (>=4.2.8),
+               debhelper (>= 11~),
+               debmake (>= 4.2.8),
                devscripts,
-               dh-autoreconf,
                dh-python,
                docbook-xml,
                docbook-xsl,
@@ -38,8 +37,10 @@
                quilt,
                texlive,
                texlive-lang-chinese,
+               texlive-lang-cyrillic,
                texlive-lang-english,
                texlive-lang-french,
+               texlive-lang-german,
                texlive-lang-japanese,
                texlive-xetex,
                tree,
@@ -47,10 +48,10 @@
                w3m,
                xsltproc,
                zip
-Standards-Version: 3.9.8
-Homepage: https://anonscm.debian.org/cgit/collab-maint/debmake-doc.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/debmake-doc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debmake-doc.git
+Standards-Version: 4.2.0
+Homepage: https://salsa.debian.org/debian/debmake-doc
+Vcs-Git: https://salsa.debian.org/debian/debmake-doc.git
+Vcs-Browser: https://salsa.debian.org/debian/debmake-doc
 
 Package: debmake-doc
 Architecture: all

## debmake-doc 1.12

=== debian/changelog ===
debmake-doc (1.12-1) unstable; urgency=high

  * Update to match recent dpkg-source behavior.
  * Fix parallel FTBFS by fixing Makefile.  Closes: #910258
  * Bump policy to 4.2.1

 -- Osamu Aoki <osamu@debian.org>  Tue, 20 Nov 2018 23:23:44 +0900

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
                libxml2-utils,
                lintian,
                lmodern,
+               locales-all | locales,
                python3-all,
                python3-debian,
                python3-distutils-extra,
@@ -48,7 +49,7 @@
                w3m,
                xsltproc,
                zip
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://salsa.debian.org/debian/debmake-doc
 Vcs-Git: https://salsa.debian.org/debian/debmake-doc.git
 Vcs-Browser: https://salsa.debian.org/debian/debmake-doc

## debmake-doc 1.13

=== debian/changelog ===
debmake-doc (1.13-1) unstable; urgency=high

  * Team upload. 
  * More translation updates.
  * Makefile.dbk: Workaround a known regression inside toolchain
    (itstool).
  * Bump policy to 4.3.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Mar 2019 16:50:08 -0500

=== debian/control ===
--- 
+++ 
@@ -49,7 +49,7 @@
                w3m,
                xsltproc,
                zip
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://salsa.debian.org/debian/debmake-doc
 Vcs-Git: https://salsa.debian.org/debian/debmake-doc.git
 Vcs-Browser: https://salsa.debian.org/debian/debmake-doc

## debmake-doc 1.14

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 build: $(PKG) $(wildcard $(ASCIIDOC_DIR)/*.txt)
 	# process ASCIIDOC after $(pkg) targets even under the parallel build
 	$(MAKE) base-xml
+	echo "LC_ALL='$(LC_ALL)'"
 	echo "DEBUG='$(DEBUG)'"
 	echo "LANGPO='$(LANGPO)'"
 	echo "LANGALL='$(LANGALL)'"

=== asciidoc/Makefile ===
--- 
+++ 
@@ -17,14 +17,18 @@
 GENTXT := 99-manpage.txt binary.txt caveat.txt
 ALLTXT := $(wildcard *.txt) $(GENTXT)
 
+# These are used as test build target
 all: man html
 
 test: test.html
 
+html: $(MANUAL).html
+
+# This is used from the parent directory to build debmake-doc
 xml: $(MANUAL).xml
 
-html: $(MANUAL).html
-
+# This is used to make manpage for debmake
+# Copy result to debmake
 man: debmake.1
 
 check:
@@ -47,10 +51,14 @@
 	asciidoc --doctype book\
 		-b docbook \
 		-a 'newline=\n' \
-		-a debmakeversion="$(DEBMAKEVERSION)" \
-		-a revision="$(DEBVERSION)" \
-		-a date="$(DEBDATE)" \
 		$(MANUAL).txt
+
+test.xml: test.txt
+	@$(call check-command, asciidoc, asciidoc)
+	asciidoc --doctype book\
+		-b docbook \
+		-a 'newline=\n' \
+		$<
 
 %.html: $(ALLTXT)
 	cp -f $(MANUAL).txt $(MANUAL).keep
@@ -58,24 +66,18 @@
 	asciidoc \
 		-a toc2 \
 		-a 'newline=\n' \
-		-a debmakeversion="$(DEBMAKEVERSION)" \
-		-a revision="$(DEBVERSION)" \
-		-a date="$(DEBDATE)" \
 		$*.txt
-	cp -f $(MANUAL).keep $(MANUAL).txt
+	mv -f $(MANUAL).keep $(MANUAL).txt
 
 debmake.1: manpage.txt
 	a2x --doctype manpage --format manpage \
-		-a debmakeversion="$(DEBMAKEVERSION)" \
 		manpage.txt
 
+# This PDF is not used by debmake-doc
 $(MANUAL).pdf: $(ALLTXT)
 	@$(call check-command, asciidoc, asciidoc)
 	a2x -v --doctype book --format pdf --dblatex-opts="-b xetex"\
 		-a 'newline=\n' \
-		-a debmakeversion="$(DEBMAKEVERSION)" \
-		-a revision="$(DEBVERSION)" \
-		-a date="$(DEBDATE)" \
 		$(MANUAL).txt
 clean:
 	-rm -f $(GENTXT)

=== debhello-0.0/Makefile ===
prefix = /usr/local

all: src/hello

src/hello: src/hello.c
	@echo "CFLAGS=$(CFLAGS)" | \
		fold -s -w 70 | \
		sed -e 's/^/# /'
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDCFLAGS) -o $@ $^

install: src/hello
	install -D src/hello \
		$(DESTDIR)$(prefix)/bin/hello

clean:
	-rm -f src/hello

distclean: clean

uninstall:
	-rm -f $(DESTDIR)$(prefix)/bin/hello

.PHONY: all install clean distclean uninstall

=== debhello-1.7/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(debhello)
set(PACKAGE_AUTHOR "Osamu Aoki")
add_subdirectory(src)
add_subdirectory(man)

=== debian-template/Makefile ===
--- 
+++ 
@@ -30,6 +30,7 @@
 	ERR=$$? ; \
 	cat $(ROOTDIR)/$$i.log | col -b -x | \
 	grep -v -e '^Script started on' | \
+	grep -v -e '^Script done on' | \
 	sed -r '$(NOANSI)' | \
 	sed -e 's#$(TESTDIR)#/path/to#g' | \
 	sed -e '$(FILTER)' > $(ROOTDIR)/$$i.slog ; \

=== debhello-2.1/src/CMakeLists.txt ===
# Always define HAVE_CONFIG_H
add_definitions(-DHAVE_CONFIG_H)
# Generate config.h from config.h.in
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
  )
include_directories("${CMAKE_CURRENT_BINARY_DIR}")
include_directories("${CMAKE_SOURCE_DIR}/lib")

add_executable(hello hello.c)
target_link_libraries(hello sharedlib)
install(TARGETS hello
  RUNTIME DESTINATION bin
)

=== debhello-3.2/po/Makefile ===
all: ja.mo ../data/hello.desktop

pot: debhello.pot

../src/hello: ../src/hello.c
	$(MAKE) -C .. src/hello

debhello.pot: ../src/hello ../data/hello.desktop.in
	xgettext -d debhello -L Desktop ../data/hello.desktop.in -o $@
	xgettext -d debhello -j -L C -k_ ../src/hello.c -o $@

%.po: debhello.pot FORCE
	msgmerge -U $@ debhello.pot

%.mo: %.po
	msgfmt $< -o $@

../data/hello.desktop: ../data/hello.desktop.in
	msgfmt --desktop --template $< -d ./ -o $@

clean:
	-rm -f *.mo *~
	-rm -f ../data/hello.desktop

FORCE:

=== debian/changelog ===
debmake-doc (1.14-1) unstable; urgency=high

  [ Boyuan Yang ]
  * po: Complete Simplified Chinese (zh_CN) translation.
  * po: More updates to German (de) translation.
  * */debian/copyright: Update source repository location for
    debmake-doc.
  * Fixes several bugs in the document:
    + Fix url of Debian systemd packaging repository.
    + Fix several typos.

  [ Osamu Aoki ]
  * Remove expect use to avoid FTBFS on some build environment. 

 -- Osamu Aoki <osamu@debian.org>  Wed, 27 Mar 2019 01:39:56 +0900

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                dh-python,
                docbook-xml,
                docbook-xsl,
-               expect,
                faketime,
                fonts-arphic-bsmi00lp,
                fonts-arphic-gbsn00lp,

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 export LC_ALL
 
 # translation for package (Override Makefile.dbk)
-export LANGPO := zh-cn ja
-#export NOPDF := zh-cn
+# un-comment to skip building PDF for all
+#export NOPDF := en ru zh-cn de ja
 
 # UTF-8 locale
 export LC_ALL:= C.UTF-8

=== debian/watch ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # debmake is quasi-native package and has no external upstream source.
 # It is *quasi* just because its package version uses the non-native format.
 opts="mode=git" \
- https://anonscm.debian.org/git/collab-maint/debmake-doc.git \
+ https://salsa.debian.org/debian/debmake-doc.git \
  refs/tags/upstream/([\d\.]+) debian
 # An alternative uscan approach is provided as well
 #opts="" \

## debmake-doc 1.15

=== debian/changelog ===
debmake-doc (1.15-1) unstable; urgency=medium

  [ Holger Wansing ]
  * Fix dead link to KDE's 'Working with symbols files' doc. Closes: #959154

  [ Osamu Aoki ]
  * Document and use debhelper-compat and Upstream-Contact. Stop
    using debian/compat.  Closes: #915425, #964460
  * Bump COMPAT version semi-automatically with script.
  * Correct "binNMU safe".  Closes: #934909
  * Address "Source-only uploads".
  * Drop most of German translation to avoid build failures for now.
    Closes: #975856

 -- Osamu Aoki <osamu@debian.org>  Sat, 12 Dec 2020 12:58:20 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                autopoint,
                cmake,
                dblatex,
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                debmake (>= 4.2.8),
                devscripts,
                dh-python,
@@ -48,7 +48,7 @@
                w3m,
                xsltproc,
                zip
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://salsa.debian.org/debian/debmake-doc
 Vcs-Git: https://salsa.debian.org/debian/debmake-doc.git
 Vcs-Browser: https://salsa.debian.org/debian/debmake-doc

## debmake-doc 1.16

=== Makefile ===
# Build all Debian packaging examples and produce documentation
# Copyright (C) 2015 Osamu Aoki

# Define if not defined (Prevent error when Make is run independently)
SOURCE_DATE_EPOCH ?= "1400000000"

.PHONY: all build clean distclean
# build document
all: build

# run "make prep" before "make log" to keep example package source tree consistent
# run "make logs" before "make all" to make logs for building example packages
# make sure to commit logs to the git repository as a part of the document source
include Makefile.pkg

# Normalize build environment (Debian default is LANG=C etc.)
LC_ALL := C.UTF-8
export LC_ALL

# Used as $(call check-command, <command>, <package>)
define check-command
set -e; if ! which $(1) >/dev/null; then \
  echo "Missing command: $(1), install package: $(2)"; \
  false; \
fi
endef

#######################################################################
# Document translation strategy: use po4a
# 1. Generate $(BASEXML) using AsciiDoc with docbook4 backend
#    (Ease of writing main cantents)
# 2. Make docbook 5 source $(MANUAL).en.x01 with db4-upgrade.xsl
# 3. Write the info header section as $(HEADXML)
# 4. Merge $(HEADXML) and $(MANUAL).en.x01 as $(MANUAL).en.x02
# 5. Generate po/$(MANUAL).pot from $(MANUAL).en.x02 with po4a
# 6. Translate po/$(MANUAL).pot and create po/<lang>.po
# 7. Generate $(MANUAL).<lang>.x02 from $(MANUAL).en.x02 and po/<lang>.po
#    using po4a
# 8. Make $(MANUAL).<lang>.xml from $(MANUAL).<lang>.x02
# 9. Build html, ... from $(MANUAL).<lang>.xml
#######################################################################
# Build documentation
MANUAL	:= debmake-doc
DEBEMAIL := osamu@debian.org
DEBFULLNAME := "Osamu Aoki"
ASCIIDOC_DIR := asciidoc
BASEXML := $(ASCIIDOC_DIR)/$(MANUAL).xml
HEADXML := $(ASCIIDOC_DIR)/head.txt
XSLT_DIR := xslt
BASEDIR := $(CURDIR)/basedir
TMPDIR := $(CURDIR)/tmp

# languages translated with PO files (not used now)
LANGPO ?= ja zh-cn zh-tw de ru
# languages to skip generation of PDF files (not used now)
NOPDF ?=
# languages to build document
LANGALL := en $(LANGPO)
SRC_PO := $(addsuffix .po, $(addprefix  po4a/po/, $(LANGPO)))
SRC_X02 := $(addsuffix .x02, $(addprefix  $(MANUAL)., $(LANGPO)))
SRC_XML := $(addsuffix .xml, $(addprefix  $(MANUAL)., $(LANGALL)))
#######################################################################
# Build time determined text
# version of the debmake command used
DEBMAKEVERSION ?= $(shell { debmake -v 2>&1 | sed -ne '/^debmake/s/^.*(version: \([0-9.]*\)).*$$/\1/p' ; })
# version of this Debian package (debian/changelog)
DEBVERSION ?= $(shell { dpkg-parsechangelog -SVersion || echo "vcs-0.0" ; })
# short date of this Debian package (debian/changelog)
DEBDATE ?= $(shell { date +'%Y-%m-%d' -d"`dpkg-parsechangelog -SDate`" || date +'(No changelog) %Y-%m-%d' ; })
# debhelper compat = debhelper major version
DHCOMPAT ?= $(shell { dpkg-query -f'$${source:Version}' -W debhelper|sed 's/\..*$$//' ; })
#######################################################################
# Constants for asciidoc -> xml -> any conversion
# Program name and option
XSLT := xsltproc --novalid --nonet --xinclude
MKDIRP := mkdir -p
MSGCAT := msgcat
MSGFMT := msgfmt
MSGMERGE := msgmerge --update --previous
MSGATTRIB := msgattrib
DBLATEX	:= dblatex
# Change $(DRAFTMODE) from "yes" to "maybe" when this document
# should go into production mode
#export DRAFTMODE := yes
export DRAFTMODE := maybe
#######################################################################

build: $(wildcard $(ASCIIDOC_DIR)/*.txt)
	: # ========================== BUILD DOCS =============================
	# process ASCIIDOC after $(pkg) targets even under the parallel build
	$(MAKE) base-xml
	echo "LC_ALL='$(LC_ALL)'"
	echo "LANGPO='$(LANGPO)'"
	echo "LANGALL='$(LANGALL)'"
	echo "NOPDF='$(NOPDF)'"
	echo "BASEDIR='$(BASEDIR)'"
	echo "TMPDIR='$(TMPDIR)'"
	$(MAKE) all-xml	                # XML docs for all PO
	-mkdir -p $(TMPDIR)
	-mkdir -p $(BASEDIR)/html
	# leave fuzzy status in the package build log
	-cat fuzzy.log
	$(MAKE) css
	$(MAKE) html
	$(MAKE) txt
	$(MAKE) pdf
	$(MAKE) epub

clean:
	: # ========================== CLEAN SOURCE ===========================
	echo "LC_ALL='$(LC_ALL)'"
	echo "NOPDF='$(NOPDF)'"
	echo "BASEDIR='$(BASEDIR)'"
	echo "TMPDIR='$(TMPDIR)'"
	-rm -rf $(TMPDIR)
	-$(MAKE) -C $(ASCIIDOC_DIR) clean

distclean: clean

dbk:
	-mkdir -p $(TMPDIR)
	-mkdir -p $(BASEDIR)/html
	$(MAKE) -C $(ASCIIDOC_DIR) xml
	$(MAKE) css html

.PHONY: dbk

#######################################################################
# Normal doc content as English base xml
$(BASEXML): $(wildcard $(ASCIIDOC_DIR)/*.txt)
	$(MAKE) -C $(ASCIIDOC_DIR) xml	# base XML doc

# set last chapter as appendix.
$(MANUAL).en.x01: $(BASEXML)
	@$(call check-command, xsltproc, xsltproc)
	$(XSLT) $(XSLT_DIR)/modappendix.xsl $< > $@

# header is manually written and main content is generated from asciidoc
$(MANUAL).en.x02: $(MANUAL).en.x01 $(HEADXML)
	cat $(HEADXML) > $@
	sed -e '1,/<\/bookinfo>/d' $(MANUAL).en.x01 >> $@

$(MANUAL).po.stamp: $(MANUAL).en.x02 $(SRC_PO)
	-mkdir -p $(TMPDIR)
	po4a -v po4a/po4a.cfg

$(SRC_X02): $(MANUAL).po.stamp

fuzzy.log: $(SRC_X02)
	: > fuzzy.log
	for lang in $(LANGPO); do \
	MESS1="no-obsolete  $$lang  `$(MSGATTRIB) --no-obsolete  po4a/po/$$lang.po |grep ^msgid |sed 1d|wc -l`";\
	MESS2="untranslated $$lang  `$(MSGATTRIB) --untranslated po4a/po/$$lang.po |grep ^msgid |sed 1d|wc -l`";\
	MESS3="fuzzy        $$lang  `$(MSGATTRIB) --fuzzy        po4a/po/$$lang.po |grep ^msgid |sed 1d|wc -l`";\
	echo "$$MESS1" >>fuzzy.log ; \
	echo "$$MESS2" >>fuzzy.log ; \
	echo "$$MESS3" >>fuzzy.log ; \
	echo "" >>fuzzy.log ; \
	done

$(MANUAL).%.xml: $(MANUAL).%.x02
	sed \
	-e "s/@@@debmakeversion@@@/$(DEBMAKEVERSION)/g" \
	-e "s/@@@debversion@@@/$(DEBVERSION)/g" \
	-e "s/@@@debdate@@@/$(DEBDATE)/g" \
	-e "s/@@@dhcompat@@@/$(DHCOMPAT)/g" \
	< $^ > $@

.FORCE:
	echo "FORCE"

doc-clean:
	-rm -f *.swp *~ *.tmp
	-rm -f po4a/po/*~
	-rm -rf $(TMPDIR)
	-rm -rf $(BASEDIR)
	-rm -rf $(LANGALL)
	-rm -r $(MANUAL).po.stamp
	-rm -f $(addsuffix .x00, $(addprefix $(MANUAL)., $(LANGALL)))
	-rm -f $(addsuffix .x01, $(addprefix $(MANUAL)., $(LANGALL)))
	-rm -f $(addsuffix .x02, $(addprefix $(MANUAL)., $(LANGALL)))
	-rm -f $(addsuffix .xml, $(addprefix $(MANUAL)., $(LANGALL)))
	-rm -f fuzzy.log

clean: doc-clean

#######################################################################
.PHONY: base-xml
base-xml: $(BASEXML)

#######################################################################
.PHONY: all-xml
all-xml: $(SRC_XML) $(ENT_ALL)

#######################################################################
.PHONY: doc-all
doc-all: css html txt epub

#######################################################################
# $ make test      # build html for testing (for Translator)
#######################################################################
.PHONY: doc-test
doc-test: html css

#######################################################################
# $ make wrap       # wrap all PO
#######################################################################
.PHONY: wrap nowrap wip
wrap:
	@$(call check-command, msgcat, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGCAT) -o $$XX $$XX ;\
	done
nowrap:
	@$(call check-command, msgcat, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGCAT) -o $$XX --no-wrap $$XX ;\
	done

wip:
	@$(call check-command, msgattrib, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGATTR) -o $$XX.fuzz --fuzzy        $$XX ;\
	$(MSGATTR) -o $$XX.untr --untranslated $$XX ;\
	done

#######################################################################
# $ make css       # update CSS and DIMG in $(BASEDIR)
#######################################################################
.PHONY: css
css:
	-rm -rf $(BASEDIR)/html/images
	mkdir -p $(BASEDIR)/html/images
	cp -f $(XSLT_DIR)/debian.css $(BASEDIR)/html/debian.css
	echo "AddCharset UTF-8 .txt" > $(BASEDIR)/html/.htaccess
	cd png ; \
	cp caution.png home.png important.png next.png note.png \
		prev.png tip.png warning.png $(BASEDIR)/html/images

#######################################################################
# $ make html      # update all HTML in $(BASEDIR)
#######################################################################
.PHONY: html
html:	$(foreach LX, $(LANGALL), $(BASEDIR)/html/index.$(LX).html) fuzzy.log
	cat fuzzy.log

$(BASEDIR)/html/index.%.html: $(MANUAL).%.xml
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(BASEDIR)/html
	$(XSLT) --stringparam base.dir $(BASEDIR)/html \
                --stringparam html.ext .$*.html \
                $(XSLT_DIR)/style-html.xsl $<

#######################################################################
# $ make txt       # update all Plain TEXT in $(BASEDIR)
#######################################################################
.PHONY: txt
txt:	$(foreach LX, $(LANGALL), $(BASEDIR)/$(MANUAL).$(LX).txt.gz)

# style-txt.xsl provides work around for hidden URL links by appending them explicitly.
$(BASEDIR)/$(MANUAL).%.txt.gz: $(MANUAL).%.xml
	@$(call check-command, w3m, w3m)
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(BASEDIR)
	@test -n "`which w3m`"  || { echo "ERROR: w3m not found. Please install the w3m package." ; false ;  }
	$(XSLT) $(XSLT_DIR)/style-txt.xsl $< | LC_ALL=C.UTF-8 \
	  w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html | \
	  gzip -n -9 - > $@


#######################################################################
# $ make pdf       # update all PDF in $(BASEDIR)
#######################################################################
.PHONY: pdf nopdf
pdf:	$(foreach LX, $(LANGALL), $(BASEDIR)/$(MANUAL).$(LX).pdf)

nopdf: $(TMPDIR)/nopdf.pdf

$(TMPDIR)/nopdf.pdf: nopdf.tex
	cp -f nopdf.tex $(TMPDIR)/nopdf.tex
	cd "$(TMPDIR)"; \
	xelatex nopdf.tex

$(foreach LX, $(NOPDF), $(BASEDIR)/$(MANUAL).$(LX).pdf): $(TMPDIR)/nopdf.pdf
	cp $(TMPDIR)/nopdf.pdf $@


# dblatex.xsl provide work around for hidden URL links by appending them explicitly.
$(BASEDIR)/$(MANUAL).%.pdf: $(MANUAL).%.xml
	@$(call check-command, dblatex, dblatex)
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(BASEDIR)
	@test -n "`which $(DBLATEX)`"  || { echo "ERROR: dblatex not found. Please install the dblatex package." ; false ;  }
	export TEXINPUTS=".:"; \
	export TMPDIR="$(TMPDIR)"; \
	$(XSLT) $(XSLT_DIR)/dblatex.xsl $<  | \
	$(DBLATEX) --style=db2latex \
		--debug \
		--backend=xetex \
		--xsl-user=$(XSLT_DIR)/user_param.xsl \
		--xsl-user=$(XSLT_DIR)/xetex_param.xsl \
		--param=draft.mode=$(DRAFTMODE) \
		--param=doc.collab.show=0 \
		--param=latex.output.revhistory=0 \
		--param=doc.lot.show="" \
		--param=lingua=$* \
		--output=$@ - || { echo "OMG!!!!!! XXX_CHECK_XXX ... Do not worry ..."; true ; }

#######################################################################
# $ make tex       # update all TeX source in $(BASEDIR)
#######################################################################
.PHONY: tex
tex:	$(foreach LX, $(LANGALL), $(BASEDIR)/$(MANUAL).$(LX).tex)

# dblatex.xsl provide work around for hidden URL links by appending them explicitly.
$(BASEDIR)/$(MANUAL).%.tex: $(MANUAL).%.xml
	-mkdir -p $(BASEDIR)
	@test -n "`which $(DBLATEX)`"  || { echo "ERROR: dblatex not found. Please install the dblatex package." ; false ;  }
	export TEXINPUTS=".:"; \
	export TMPDIR="$(TMPDIR)"; \
	$(XSLT) $(XSLT_DIR)/dblatex.xsl $<  | \
	$(DBLATEX) --style=native \
		--debug \
		--type=tex \
		--backend=xetex \
		--xsl-user=$(XSLT_DIR)/user_param.xsl \
		--xsl-user=$(XSLT_DIR)/xetex_param.xsl \
		--param=draft.mode=$(DRAFTMODE) \
		--param=doc.collab.show=0 \
		--param=latex.output.revhistory=0 \
		--param=doc.lot.show="" \
		--param=lingua=$* \
		--output=$@ - || { echo "OMG!!!!!! XXX_CHECK_XXX ... Do not worry ..."; true ; }

#######################################################################

=== debhello-1.0/Makefile ===
prefix = /usr/local

all:
	: # do nothing

install:
	install -D scripts/hello \
		$(DESTDIR)$(prefix)/bin/hello
	install -m 644 -D data/hello.desktop \
		$(DESTDIR)$(prefix)/share/applications/hello.desktop
	install -m 644 -D data/hello.png \
		$(DESTDIR)$(prefix)/share/pixmaps/hello.png
	install -m 644 -D man/hello.1 \
		$(DESTDIR)$(prefix)/share/man/man1/hello.1

clean:
	: # do nothing

distclean: clean

uninstall:
	-rm -f $(DESTDIR)$(prefix)/bin/hello
	-rm -f $(DESTDIR)$(prefix)/share/applications/hello.desktop
	-rm -f $(DESTDIR)$(prefix)/share/pixmaps/hello.png
	-rm -f $(DESTDIR)$(prefix)/share/man/man1/hello.1

.PHONY: all install clean distclean uninstall

=== debhello-1.7/src/CMakeLists.txt ===
# Always define HAVE_CONFIG_H
add_definitions(-DHAVE_CONFIG_H)
# Interactively define WITH_MATH
option(WITH_MATH "Build with math support" OFF)
#variable_watch(WITH_MATH)
# Generate config.h from config.h.in
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
)
include_directories("${CMAKE_CURRENT_BINARY_DIR}")
add_executable(hello hello.c)
install(TARGETS hello
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
debmake-doc (1.16-1) unstable; urgency=medium

  [ Holger Wansing ]
  * Updated Debian Policy links.

  [ Osamu Aoki ]
  * Fix basedir.
  * Major source restructuring to use po4a and change main commit branch to
    master and avoid using itstools. Closes: #919058, #948781
  * Make review of the build log easier by adjusting parallel build process.
  * Fix zh-cn and zh-tw POs and made some recovery of old de translation.
    (More restructuring and further recovery need to be done)
  * Mention dgit-maint-merge(7).  Closes: #923667

 -- Osamu Aoki <osamu@debian.org>  Wed, 13 Jan 2021 14:22:36 +0900

=== debian/control ===
--- 
+++ 
@@ -3,38 +3,21 @@
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
 Build-Depends: asciidoc,
-               autoconf,
-               automake,
-               autopoint,
-               cmake,
                dblatex,
                debhelper-compat (= 13),
-               debmake (>= 4.2.8),
-               devscripts,
                dh-python,
                docbook-xml,
                docbook-xsl,
-               faketime,
                fonts-arphic-bsmi00lp,
                fonts-arphic-gbsn00lp,
                fonts-ipafont,
                fonts-liberation,
                fonts-wqy-zenhei,
-               gettext,
-               gir1.2-gtk-3.0,
-               itstool,
+	       po4a,
                latex-cjk-all,
-               libltdl-dev,
-               libtool,
                libxml2-utils,
-               lintian,
                lmodern,
                locales-all | locales,
-               python3-all,
-               python3-debian,
-               python3-distutils-extra,
-               python3-gi,
-               quilt,
                texlive,
                texlive-lang-chinese,
                texlive-lang-cyrillic,
@@ -43,10 +26,8 @@
                texlive-lang-german,
                texlive-lang-japanese,
                texlive-xetex,
-               tree,
-               vim,
-               w3m,
                xsltproc,
+	       w3m,
                zip
 Standards-Version: 4.5.1
 Homepage: https://salsa.debian.org/debian/debmake-doc

=== debian/watch ===
version=4
# This is a dummy watch file.
# debmake is quasi-native package and has no external upstream source.
# It is *quasi* just because its package version uses the non-native format.
opts="mode=git" \
 https://salsa.debian.org/debian/debmake-doc.git \
 refs/tags/upstream/([\d\.]+) debian
